Defines

# tcp_game.cpp File Reference

Basic functions to receive and send TCP packets for game purposes. More...

`#include "../../stdafx.h"`
`#include "../network.h"`
`#include "../network_internal.h"`
`#include "../../debug.h"`
`#include "../../error.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Defines
#define | GAME_COMMAND(type) case type: return this->NetworkPacketReceive_ ## type ## _command(p); break;
| Defines a simple (switch) case for each network packet.

## Detailed Description

Basic functions to receive and send TCP packets for game purposes.

Definition in file tcp_game.cpp.

## Define Documentation

#define GAME_COMMAND | ( |  | type | ) | case type: return this->NetworkPacketReceive_ ## type ## _command(p); break;

Defines a simple (switch) case for each network packet.

Parameters:

  | type | the packet type to create the case for

Definition at line 63 of file tcp_game.cpp.